Uploaded image for project: 'Spring Web Services'
  1. Spring Web Services
  2. SWS-422

Class AxiomUtils is not java 1.4 compatible

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.5.1, 1.5.2, 1.5.3, 1.5.4
    • Fix Version/s: 1.5.5
    • Component/s: Core
    • Labels:
      None

      Description

      In the class AxiomUtils, the methods toDocument and toEnvelope construct an IllegalArgumentException with a constructor introduced in java 1.5:
      public IllegalArgumentException(String message, Throwable cause)

        Activity

        Hide
        tareq Tareq Abedrabbo added a comment -

        patch.

        Show
        tareq Tareq Abedrabbo added a comment - patch.
        Hide
        arjen.poutsma Arjen Poutsma added a comment -

        Closing old issues

        Show
        arjen.poutsma Arjen Poutsma added a comment - Closing old issues

          People

          • Assignee:
            arjen.poutsma Arjen Poutsma
            Reporter:
            tareq Tareq Abedrabbo
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: